### Enumeration

# GExiv2 StructureType

#### Declaration

    enum GExiv2.StructureType

#### Description [src]

Used in `gexiv2_metadata_set_xmp_tag_struct()` to determine the array type.

#### Members

`GEXIV2_STRUCTURE_XA_NONE`

  Structure is not an array.

  - Value: `0`
  - Available since: 0.16
`GEXIV2_STRUCTURE_XA_ALT`

  A list of alternative values.

  - Value: `20`
  - Available since: 0.16
`GEXIV2_STRUCTURE_XA_BAG`

  An unordered list of values.

  - Value: `21`
  - Available since: 0.16
`GEXIV2_STRUCTURE_XA_SEQ`

  An ordered list of values.

  - Value: `22`
  - Available since: 0.16
`GEXIV2_STRUCTURE_XA_LANG`

  Not supported. For completeness only.

  - Value: `23`
  - Available since: 0.16